Skip to main content
GET
Get a Playbook

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

playbookId
string
required

The unique identifier for the Playbook.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Playbook object retrieved.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

name
string

The name of the Playbook

Example:

"New Playbook"

abortOnError
boolean

Flag whether to stop Playbook execution when an assert-error occurred

timeout
integer

A time (in ms) after which a playbook step is 'invalid/failed'

Required range: x >= 1
Example:

2000

_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
steps
object[]
Last modified on July 22, 2026